{
  "name": "six-hms",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build --base=/admin/",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@alova/adapter-xhr": "^2.2.1",
    "@ant-design/icons-vue": "^7.0.1",
    "@logicflow/core": "^2.1.2",
    "@logicflow/extension": "^2.1.4",
    "@logicflow/layout": "^2.0.2",
    "@logicflow/vue-node-registry": "^1.1.3",
    "@types/markdown-it": "^14.1.2",
    "@unocss/reset": "^0.61.0",
    "@vueuse/components": "^10.11.0",
    "@vueuse/core": "^10.11.0",
    "@vueuse/router": "^10.11.1",
    "@wangeditor/core": "^1.1.19",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/plugin-ctrl-enter": "^1.1.2",
    "@wangeditor/plugin-md": "^1.0.0",
    "alova": "^3.2.10",
    "ant-design-vue": "^4.2.3",
    "china-division": "^2.7.0",
    "dayjs": "^1.11.11",
    "echarts": "^5.5.1",
    "element-plus": "^2.9.10",
    "markdown-it": "^14.1.0",
    "pinia": "^2.1.7",
    "pinia-plugin-persistedstate": "^3.2.1",
    "swiper": "^8.4.7",
    "v-selectpage": "^3.0.1",
    "vite-svg-loader": "^5.1.0",
    "vue": "^3.4.29",
    "vue-echarts": "^7.0.2",
    "vue-range-component": "^1.0.3",
    "vue-router": "^4.3.3",
    "vue-virtual-scroller": "2.0.0-beta.8",
    "vue3-slider": "^1.10.1",
    "vuedraggable": "^4.1.0",
    "vxe-pc-ui": "^4.6.42",
    "vxe-table": "^4.7.62"
  },
  "devDependencies": {
    "@alova/mock": "^2.0.4",
    "@iconify/json": "^2.2.222",
    "@rushstack/eslint-patch": "^1.8.0",
    "@tsconfig/node20": "^20.1.4",
    "@types/mockjs": "^1.0.10",
    "@types/node": "^20.14.5",
    "@unocss/preset-icons": "^0.61.0",
    "@unocss/preset-uno": "^0.61.0",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vitejs/plugin-vue-jsx": "^4.0.0",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/eslint-config-typescript": "^13.0.0",
    "@vue/tsconfig": "^0.5.1",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "mockjs": "^1.1.0",
    "npm-run-all2": "^6.2.0",
    "prettier": "^3.2.5",
    "sass": "^1.77.6",
    "typescript": "~5.4.0",
    "unocss": "^0.61.0",
    "unplugin-auto-import": "^0.17.6",
    "unplugin-vue-components": "^0.27.0",
    "unplugin-vue-router": "^0.10.2",
    "vite": "^5.3.1",
    "vite-plugin-lazy-import": "^1.0.7",
    "vite-plugin-vue-devtools": "^7.3.1",
    "vue-tsc": "^2.0.21"
  }
}
